        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   VOID CDECL vmmBuildDescriptorDWORDs( PDWORD pdwHi, PDWORD pdwLo,
;                                        PSTR pBase, UINT uLen,
;                                        UINT uType, UINT uSize,
;                                        UINT uFlags )          
;
;   DESCRIPTION:
;      Builds the descriptor parameter used in calls to
;      vmmAllocateGDTSelector and vmmAllocateLDTSelector.
;
;   PARAMETERS:
;      PDWORD pdwHi
;         "High" DWORD of selector parameter
;
;      PDWORD pdwLo
;         "Low" DWORD of selector parameter
;
;      PSTR pBase
;         32-bit base address for descriptor
;
;      UINT uLen
;         20-bit limit
;
;      UINT uType
;         Specifies the present status, DPL and type fields
;         for the descriptor. (See VDAG for more info.)
;
;      UINT uSize
;         Granularity and big/default fields for descriptor.
;
;      UINT uFlags
;         Operation flags.  (See VDAG for more info.)
;
;   RETURN VALUE:
;      *pdwHi
;         contains high-doubleword of descriptor
; 
;      *pdwLo
;         contains low-doubleword of descriptor
;
;------------------------------------------------------------------------------

BeginProc _vmmBuildDescriptorDWORDs, PUBLIC

        pdwHi   equ     [ebp + 8]
        pdwLo   equ     [ebp + 12]
        pBase   equ     [ebp + 16]
        uLen    equ     [ebp + 20]
        uType   equ     [ebp + 24]
        uSize   equ     [ebp + 28]
        uFlags  equ     [ebp + 32]

        push    ebp
        mov     ebp, esp

        VMMCall _BuildDescriptorDWORDs, <pBase, uLen, uType, uSize, uFlags>
        push    esi
        mov     esi, pdwLo
        mov     [esi], eax
        mov     esi, pdwHi
        mov     [esi], edx
        pop     esi

        pop     ebp
        ret     

EndProc _vmmBuildDescriptorDWORDs

VxD_PAGEABLE_CODE_ENDS

end


