        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   UINT CDECL vmmGetFirstV86Page( DWORD hVM )
;
;   DESCRIPTION:
;      Retrieves the page number of the first page in V86 memory for
;      the current virtual machine.
;
;   PARAMETERS:
;      DWORD hVM
;         handle to VM
;
;   RETURN VALUE:
;      UINT
;         first page in V86 memory
;
;------------------------------------------------------------------------------

BeginProc _vmmGetFirstV86Page, PUBLIC

        hVM     equ     [ebp + 8]

        push    ebp
        mov     ebp, esp

        push    ebx
        mov     ebx, hVM
        VMMCall _GetFirstV86Page
        pop     ebx

        pop     ebp
        ret

EndProc _vmmGetFirstV86Page

VxD_PAGEABLE_CODE_ENDS

end


