        page    60, 132

;******************************************************************************
	title	wrapper for VMM profile services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM profile services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM profile services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST


VxD_INIT_CODE_SEG

;------------------------------------------------------------------------------
;
;   BOOL CDECL vmmGetProfileBoolean( PSTR pSection, PSTR pKey,
;                                    BOOL fDefault, PUINT pError )
;
;   DESCRIPTION:
;      Returns the boolean value associated with pKey from pSection
;      in the SYSTEM.INI.
;
;   PARAMETERS:
;      PSTR pSection
;         pointer to null terminated string describing the [_section_]
;
;      PSTR pKey
;         pointer to null terminated string describing the _key_=value
;
;      BOOL fDefault
;         default value
;
;      PUINT pError
;         pointer to error return
;
;   RETURN VALUE:
;      BOOL
;         TRUE or FALSE according to value associated with key or default
;
;------------------------------------------------------------------------------

BeginProc _vmmGetProfileBoolean, PUBLIC

        pSection        equ     [ebp + 8]
        pKey            equ     [ebp + 12]
        fDefault        equ     [ebp + 16]
        pError          equ     [ebp + 20]

        push    ebp
        mov     ebp, esp

        push    esi
        push    edi

        mov     esi, pError
        mov     dword ptr [esi], 0
        mov     esi, pSection
        mov     edi, pKey
        mov     eax, fDefault
        VMMCall Get_Profile_Boolean
        jc      SHORT GPB_NoKey
        jnz     SHORT GPB_Exit

        ;
        ; No value associated with key
        ;

        mov     esi, pError
        mov     dword ptr [esi], -2
        jmp     SHORT GPB_Exit

GPB_NoKey:

        ;
        ; Key not found
        ; 

        mov     esi, pError
        mov     dword ptr [esi], -1

GPB_Exit:
        pop     edi
        pop     esi

        pop     ebp
        ret

EndProc _vmmGetProfileBoolean

VxD_INIT_CODE_ENDS

end
