        page    60, 132

;******************************************************************************
	title	wrapper for VMM profile services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM profile services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM profile services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST


VxD_INIT_CODE_SEG

;------------------------------------------------------------------------------
;
;   UINT CDECL vmmGetProfileDecimalInt( PSTR pSection, PSTR pKey,
;                                       UINT uDefault, PUINT pError )
;
;   DESCRIPTION:
;      Returns the integer value associated with pKey from pSection
;      in the SYSTEM.INI.
;
;   PARAMETERS:
;      PSTR pSection
;         pointer to null terminated string describing the [_section_]
;
;      PSTR pKey
;         pointer to null terminated string describing the _key_=value
;
;      UINT uDefault
;         default value
;
;      PUINT pError
;         pointer to error return
;
;   RETURN VALUE:
;      UINT
;         value associated with key or default
;
;------------------------------------------------------------------------------

BeginProc _vmmGetProfileDecimalInt, PUBLIC

        pSection        equ     [ebp + 8]
        pKey            equ     [ebp + 12]
        uDefault        equ     [ebp + 16]
        pError          equ     [ebp + 20]

        push    ebp
        mov     ebp, esp

        push    esi
        push    edi

        mov     esi, pError
        mov     dword ptr [esi], 0
        mov     esi, pSection
        mov     edi, pKey
        mov     eax, uDefault
        VMMCall Get_Profile_Decimal_Int
        jc      SHORT GPDI_NoKey
        jnz     SHORT GPDI_Exit

        ;
        ; No value associated with key
        ;

        mov     esi, pError
        mov     dword ptr [esi], -2
        jmp     SHORT GPDI_Exit

GPDI_NoKey:

        ;
        ; Key not found
        ; 

        mov     esi, pError
        mov     dword ptr [esi], -1

GPDI_Exit:
        pop     edi
        pop     esi

        pop     ebp
        ret

EndProc _vmmGetProfileDecimalInt

VxD_INIT_CODE_ENDS

end
