        page    60, 132

;******************************************************************************
	title	VMMWRAP - VMM wrapper functions for 'C' interface
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   VMMWRAP.ASM - Core code
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM control procedures/services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   VOID CDECL vmmGetV86IntVector( UINT uInt, PWORD pSeg, PWORD pOff )
;
;   DESCRIPTION:
;      Returns the address of the interrupt routine for the
;      specified real-mode interrupt.
;
;   PARAMETERS:
;      UINT uInt
;         interrupt vector
;
;      PWORD pSeg
;         pointer to word to hold segment
;
;      PWORD pOff
;         pointer to dword to hold offset
;
;   RETURN VALUE:
;      NOTHING
;
;------------------------------------------------------------------------------

BeginProc _vmmGetV86IntVector, PUBLIC

        uInt    equ     [ebp + 8]
        pSeg    equ     [ebp + 12]
        pOff    equ     [ebp + 16]

        push    ebp
        mov     ebp, esp

        push    esi

        mov     eax, uInt
        VMMCall Get_V86_Int_Vector
        mov     esi, pSeg
        mov     [esi], cx
        mov     esi, pOff
        mov     [esi], dx

        pop     esi

        pop     ebp

        ret

EndProc _vmmGetV86IntVector

VxD_PAGEABLE_CODE_ENDS

END

