;------------------------------------------------------------------------------
;
;   DWORD CDECL Call_VxD_Service( DWORD dwService, ... )
;
;   DESCRIPTION:
;       This is an incredibly gross hack.  It relies on the dynalinking
;       mechanism of VMM to remain constant.  VMM uses INT 20h to perform
;       dynalinking to VxD services.  The DWORD immediately following
;       the INT 20h determines the service (VxD_ID << 16 + VxD_Service).
;
;       This routine uses self-modifying code to assure that the INT 20h
;       is always called... VMM normally patches this instruction and
;       the DWORD following it to a "call XXXX" to minimize the overhead
;       for using VxD services. It is a performance hack that this
;       code eliminates.
;
;   PARAMETERS:
;       dwService
;          VxD service to call
;
;       variable parameter list
;          as defined by the service
;
;   RETURN VALUE:
;       DWORD (whatever is left in EAX)
;
;   COMMENTS:
;       Do not, under any circumstances, re-enter this CODE!!!  Note
;       that this function destroys the dwService parameter on the stack!
;
;------------------------------------------------------------------------------

BeginProc _Call_VxD_Service, PUBLIC

ifdef DEBUG
        cmp     fInVMMProc, False
        je      SHORT CVP_Continue
        Debug_Out "Assertion failed! re-entering Call_VxD_Service, not good!!!"

CVP_Continue:
        mov     fInVMMProc, True
endif

        push    eax                             ; save EAX
        mov     eax, dword ptr [esp + 4]        ; load RET address
        mov     dwRetAddr, eax                  ; save it for later
        pop     eax                             ; restore EAX
        add     esp, 4                          ; bump SP past RET address
        push    eax                             ; save off some regs...
        push    esi
        mov     eax, 20CDh                      ; INT 20h
        lea     esi, DynaLinkPatch              ; get location of INT 20h
        mov     word ptr [esi], ax              ; restore it...
        mov     eax, [esp + 8]                  ; get service (should be VMM)
        add     esi, 2                          ; bump our code pointer
        mov     dword ptr [esi], eax            ; store service number
        pop     esi                             ; restore the regs...
        pop     eax
        add     esp, 4                          ; bump the stack (service)

DynaLinkPatch LABEL BYTE

        int     Dyna_Link_Int                   ; perform call to service
        dd      ?

        push    eax                             ; to fix up the service bump
        push    eax                             ; save EAX
        mov     eax, dwRetAddr                  ; get return address
        xchg    eax, [esp]                      ; exchange with saved EAX
                                 
ifdef DEBUG
        mov     fInVMMProc, False               ; clear the flag
endif   

        ret                                     ; return to caller

EndProc _Call_VxD_Service

