        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   BOOL CDECL vmmHookInvalidPageFault( IPFPROC pHookProc )
;
;   DESCRIPTION:
;      Hooks the invalid page fault handler.
;
;   PARAMETERS:
;      IPFPROC uInterrupt
;         invalid page fault callback procedure
;
;   RETURN VALUE:
;      TRUE if successful, FALSE otherwise
;
;------------------------------------------------------------------------------

BeginProc _vmmHookInvalidPageFault, PUBLIC

        pHookProc       equ     [ebp + 8]

        push    ebp
        mov     ebp, esp

        push    esi
        mov     esi, pHookProc
        VMMCall Hook_Invalid_Page_Fault
        pop     esi
        jc      SHORT HIPF_ExitFailure
        mov     eax, 1
        jmp     SHORT HIPF_Exit

HIPF_ExitFailure:
        xor     eax, eax

HIPF_Exit:
        pop     ebp
        ret

EndProc _vmmHookInvalidPageFault

VxD_PAGEABLE_CODE_ENDS

end


