        page    60, 132

;******************************************************************************
	title	wrapper for VMM list services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM list services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM list services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST


VxD_LOCKED_CODE_SEG

BeginProc _vmmListCreate, PUBLIC

        dwFlags          equ     [ebp + 8]
        dwNodeSize       equ     [ebp + 12]

        push    ebp
        mov     ebp, esp

        push    esi
        push    ecx
        mov     ecx, dwNodeSize
        mov     eax, dwFlags

        VMMCall List_Create
        pop     ecx
        mov     eax, esi
        pop     esi
        jnc     SHORT VLC_Exit
        xor     eax, eax

VLC_Exit:
        pop     ebp
        ret

EndProc _vmmListCreate

BeginProc _vmmListDestroy, PUBLIC

        hList           equ     [ebp + 8]

        push    ebp
        mov     ebp, esp

        push    esi
        mov     esi, hList
        VMMCall List_Destroy
        pop     esi

        pop     ebp
        ret

EndProc _vmmListDestroy

VXD_LOCKED_CODE_ENDS

end
