        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   PSTR CDECL vmmMapFlat( HVM hVM, PCRS_32 pCRS,
;                          DWORD dwSegOffset, DWORD dwOffOffset )
;
;   DESCRIPTION:
;      Returns the base address of the specified selector.
;
;   PARAMETERS:
;
;   RETURN VALUE:
;      PSTR
;         -1 if failure, otherwise linear address
;
;------------------------------------------------------------------------------

BeginProc _vmmMapFlat, PUBLIC
        
        hVM     equ     [ebp + 8]
        pCRS    equ     [ebp + 12]
        dwSeg   equ     [ebp + 16]
        dwOff   equ     [ebp + 20]

        push    ebp
        mov     ebp, esp

        push    ebx

        mov     ebx, hVM
        mov     ah, byte ptr dwSeg
        mov     al, byte ptr dwOff
        mov     ebp, pCRS

        VMMCall Map_Flat

        pop     ebx
        pop     ebp

        ret

EndProc _vmmMapFlat

VxD_PAGEABLE_CODE_ENDS

end



