        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   PVOID CDECL vmmPageAllocate( PHMEM phMem, UINT uPages, UINT uType,
;                                HVM hVM, UINT uAlignMask, UINT uMinPhys,
;                                UINT uMaxPhys, PDWORD pdwPhysAddr,
;                                UINT uFlags )
;
;   DESCRIPTION:
;      Allocates a block of memory of given number of pages.
;
;   PARAMETERS:
;      PHMEM phMem
;      UINT uPages
;      UINT uType
;      HVM hVM
;      UINT uAlignMask
;      UINT uMinPhys
;      UINT uMaxPhys
;      PDWORD pdwPhysAddr
;      UINT uFlags
;
;   RETURN VALUE:
;      PVOID
;         linear address of block
;
;------------------------------------------------------------------------------

BeginProc _vmmPageAllocate, PUBLIC

        phMem           equ     [ebp + 8]
        uPages          equ     [ebp + 12]
        uType           equ     [ebp + 16]
        hVM             equ     [ebp + 20]
        uAlignMask      equ     [ebp + 24]
        uMinPhys        equ     [ebp + 28]
        uMaxPhys        equ     [ebp + 32]
        pdwPhysAddr     equ     [ebp + 36]
        uFlags          equ     [ebp + 40]

        push    ebp
        mov     ebp, esp

        VMMCall _PageAllocate, <uPages, uType, hVM, uAlignMask, uMinPhys,\
                                uMaxPhys, pdwPhysAddr, uFlags>
        push    esi
        mov     esi, phMem
        mov     [esi], eax
        mov     eax, edx
        pop     esi

        pop     ebp
        ret

EndProc _vmmPageAllocate

BeginProc _vmmPageFree, PUBLIC

        VMMJmp  _PageFree

EndProc _vmmPageFree

VxD_PAGEABLE_CODE_ENDS

end


