        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   PVOID CDECL vmmPageReAllocate( PDWORD phMem, DWORD hMem, UINT uPages,
;                                  UINT uFlags )
;
;   DESCRIPTION:
;      Reallocates and optionally reinitializes an existing memory block.
;
;   PARAMETERS:
;      PHMEM phMem
;         pointer to new memory handle
;
;      HMEM hMem
;         handle to current memory block
;
;      UINT uPages
;         size of the reallocated block in pages
;
;      UINT uFlags
;         operation flags
;           
;            PageLocked
;            PageLockedIfDP
;            PageNoCopy
;            PageZeroInit
;            PageZeroReInit
;
;   RETURN VALUE:
;      PVOID
;         linear address of block
;
;------------------------------------------------------------------------------

BeginProc _vmmPageReAllocate, PUBLIC

        phMem           equ     [ebp + 8]
        hMem            equ     [ebp + 12]
        uPages          equ     [ebp + 16]
        uFlags          equ     [ebp + 20]

        push    ebp
        mov     ebp, esp

        VMMCall _PageReAllocate, <hMem, uPages, uFlags>
        push    esi
        mov     esi, phMem
        mov     [esi], eax
        mov     eax, edx
        pop     esi

        pop     ebp
        ret

EndProc _vmmPageReAllocate

VxD_PAGEABLE_CODE_ENDS

end


