        page    60, 132

;******************************************************************************
	title   wrapper for VMM nested execution services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM nested execution services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM nested execution services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   VOID CDECL vmmRestoreClientState( PCRS_32 pSavedCRS )
;
;   DESCRIPTION:
;      Restores the client register structure from the save
;      structure (pSavedCRS).
;
;   PARAMETERS:
;      PCRS_32 pSavedCRS
;         pointer to save structure
;
;   RETURN VALUE:
;      Nothing.
;
;------------------------------------------------------------------------------

BeginProc _vmmRestoreClientState, PUBLIC

        pSavedCRS       equ     [ebp + 8]

        push    ebp
        mov     ebp, esp

        push    esi

        mov     esi, pSavedCRS
        VMMCall Restore_Client_State

        pop     esi

        pop     ebp
        ret

EndProc _vmmRestoreClientState

VxD_PAGEABLE_CODE_ENDS

end
