        page    60, 132

;******************************************************************************
	title	V86MMGR - wrapper for V86MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   V86MMGR.ASM - wrapper for V86MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to V86MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        INCLUDE V86MMGR.Inc
        .LIST

;
; structure used for V86MMGR_Set/Get_Xlat_Buff_State
;

VXBS STRUC

   vxbs_cbAvail         dd      ?
   vxbs_cbTotal         dd      ?
   vxbs_wXlatSeg        dw      ?

VXBS ENDS

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   VOID CDECL v86mmgrGetXlatBuffState
;
;   DESCRIPTION:
;      Gets the V86MMGR translation buffer state.
;
;   PARAMETERS:
;      HVM hVM
;         handle to VM
;
;      PV86MMGRXLATBUFFSTATE pvxbs
;         pointer to structure to receive information
;
;   RETURN VALUE:
;      Nothing.
;
;------------------------------------------------------------------------------

BeginProc _v86mmgrGetXlatBuffState, PUBLIC

        hVM     equ     [ebp + 8]
        pvxbs   equ     [ebp + 12]

        push    ebp
        mov     ebp, esp

        push    ebx
        push    ecx
        push    esi

        mov     ebx, hVM
        mov     esi, pvxbs

        VxDCall V86MMGR_Get_Xlat_Buff_State

        mov     [esi.vxbs_wXlatSeg], ax
        mov     [esi.vxbs_cbAvail], ecx
        mov     [esi.vxbs_cbTotal], edx

        pop     esi
        pop     ecx
        pop     ebx

        pop     ebp
        ret

EndProc _v86mmgrGetXlatBuffState

;------------------------------------------------------------------------------
;
;   VOID CDECL v86mmgrSetXlatBuffState
;
;   DESCRIPTION:
;      Sets the V86MMGR translation buffer state.
;
;   PARAMETERS:
;      HVM hVM
;         handle to VM
;
;      PV86MMGRXLATBUFFSTATE pvxbs
;         pointer to structure to receive information
;
;   RETURN VALUE:
;      Nothing.
;
;------------------------------------------------------------------------------

BeginProc _v86mmgrSetXlatBuffState, PUBLIC

        hVM     equ     [ebp + 8]
        pvxbs   equ     [ebp + 12]

        push    ebp
        mov     ebp, esp

        push    ebx
        push    ecx
        push    esi

        mov     ebx, hVM
        mov     esi, pvxbs

        mov     ax, [esi.vxbs_wXlatSeg]
        mov     ecx, [esi.vxbs_cbAvail]
        mov     edx, [esi.vxbs_cbTotal]

        VxDCall V86MMGR_Set_Xlat_Buff_State

        pop     esi
        pop     ecx
        pop     ebx

        pop     ebp
        ret

EndProc _v86mmgrSetXlatBuffState

VxD_PAGEABLE_CODE_ENDS

end


