        page    60, 132

;******************************************************************************
	title   wrapper for VMM nested execution services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM nested execution services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM nested execution services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   VOID CDECL vmmSimulateFarCall( DWORD dwSeg, DWORD dwOff )
;
;   DESCRIPTION:
;      Simulates a far call into the current VM.
;
;   PARAMETERS:
;      DWORD dwSeg
;         segment/selector of code segment to call
;
;      DWORD dwOff
;         offset of procedure, if the code segment is 16-bit
;         the high word must be zero.
;
;   RETURN VALUE:
;      Nothing.
;
;------------------------------------------------------------------------------

BeginProc _vmmSimulateFarCall, PUBLIC

        dwSeg   equ     [esp + 4]
        dwOff   equ     [esp + 8]

        movzx   ecx, word ptr dwSeg
        mov     edx, dwOff
        VMMJmp  Simulate_Far_Call

EndProc _vmmSimulateFarCall

VxD_PAGEABLE_CODE_ENDS

end
