        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   BOOL CDECL vmmSetLastV86Page( DWORD hVM, UINT uPage, UINT uFlags )
;
;   DESCRIPTION:
;      Sets the page number of the last page in V86 memory for
;      the current virtual machine. (Windows 3.1 only)
;
;   PARAMETERS:
;      DWORD hVM
;         handle to VM
;
;      UINT uPage
;         linear page number to set as the last V86 page
;
;      UINT uFlags
;         Must be 0
;
;   RETURN VALUE:
;      BOOL
;         TRUE if successful, otherwise FALSE
;
;------------------------------------------------------------------------------

BeginProc _vmmSetLastV86Page, PUBLIC

        hVM     equ     [ebp + 8]
        uPage   equ     [ebp + 12]
        uFlags  equ     [ebp + 16]

        push    ebp
        mov     ebp, esp

        push    ebx
        mov     ebx, hVM
        VMMCall _SetLastV86Page, <uPage, uFlags>
        pop     ebx

        pop     ebp
        ret

EndProc _vmmSetLastV86Page

VxD_PAGEABLE_CODE_ENDS

end
