        page    60, 132

;******************************************************************************
	title	wrapper for VMM MMGR services
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VMMWRAP - A 'C' wrapper for VMM services/control
;
;   Module:   wrapper for VMM MMGR services
;
;   Version:  2.00
;
;   Date:     March 8, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    3/ 8/93  1.00      Wrote it.                                   BryanW
;   11/ 4/93  2.00      Broken into modules for library             BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to VMM MMGR services
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE SegDefs.Inc
        .LIST

VxD_PAGEABLE_CODE_SEG

;------------------------------------------------------------------------------
;
;   PSTR CDECL vmmSelectorMapFlat( HVM hVM, DWORD dwSel, DWORD dwFlags )
;
;   DESCRIPTION:
;      Returns the base address of the specified selector.
;
;   PARAMETERS:
;      HVM hVM
;         handle to VM
;
;      DWORD dwSel
;         GDT or LDT selector
;
;      DWORD dwFlags
;         Must be 0
;
;   RETURN VALUE:
;      PSTR
;         -1 if failure, otherwise base of selector
;
;------------------------------------------------------------------------------

BeginProc _vmmSelectorMapFlat, PUBLIC
        
        hVM     equ     [ebp + 8]
        dwSel   equ     [ebp + 12]
        dwFlags equ     [ebp + 16]

        push    ebp
        mov     ebp, esp

        push    ebx
        mov     ebx, hVM
        VMMCall _SelectorMapFlat, <hVM, dwSel, dwFlags>
        pop     ebx

        pop     ebp
        ret

EndProc _vmmSelectorMapFlat

VxD_PAGEABLE_CODE_ENDS

end


